Property Address
Get Property Address
Returns the property address associated with a transaction.
GET
/
v1.0
/
leads
/
{leadId}
/
transaction
/
{transactionId}
/
property
/
address
Get Property Address
curl --request GET \
--url https://api.lofty.com/v1.0/leads/{leadId}/transaction/{transactionId}/property/address \
--header 'Authorization: <authorization>'import requests
url = "https://api.lofty.com/v1.0/leads/{leadId}/transaction/{transactionId}/property/address"
headers = {"Authorization": "<authorization>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<authorization>'}};
fetch('https://api.lofty.com/v1.0/leads/{leadId}/transaction/{transactionId}/property/address', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.lofty.com/v1.0/leads/{leadId}/transaction/{transactionId}/property/address",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: <authorization>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.lofty.com/v1.0/leads/{leadId}/transaction/{transactionId}/property/address"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "<authorization>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.lofty.com/v1.0/leads/{leadId}/transaction/{transactionId}/property/address")
.header("Authorization", "<authorization>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.lofty.com/v1.0/leads/{leadId}/transaction/{transactionId}/property/address")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = '<authorization>'
response = http.request(request)
puts response.read_body{
"transactionId": 10001,
"unit": "1",
"label": "Investment",
"state": "CA",
"city": "Los Angeles",
"zipCode": "90012",
"streetAddress": "100 W 1st St",
"county": "Los Angeles"
}"<string>""<string>""<string>"Headers
Bearer [access_token]
Path Parameters
Lead ID. Must be manageable by the caller.
Transaction ID. Must exist and be bound to leadId.
Response
Property address.
Transaction ID whose property address is being queried or updated. Required on the update endpoint (carried in the request body, not the URL).
Example:
10001
Unit / apartment number.
Example:
"1"
Free-form label for the address (e.g. 'Investment', 'Primary Residence').
Example:
"Investment"
State or province code.
Example:
"CA"
City.
Example:
"Los Angeles"
Postal / ZIP code.
Example:
"90012"
Street address.
Example:
"100 W 1st St"
County.
Example:
"Los Angeles"
⌘I
Get Property Address
curl --request GET \
--url https://api.lofty.com/v1.0/leads/{leadId}/transaction/{transactionId}/property/address \
--header 'Authorization: <authorization>'import requests
url = "https://api.lofty.com/v1.0/leads/{leadId}/transaction/{transactionId}/property/address"
headers = {"Authorization": "<authorization>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<authorization>'}};
fetch('https://api.lofty.com/v1.0/leads/{leadId}/transaction/{transactionId}/property/address', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.lofty.com/v1.0/leads/{leadId}/transaction/{transactionId}/property/address",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: <authorization>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.lofty.com/v1.0/leads/{leadId}/transaction/{transactionId}/property/address"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "<authorization>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.lofty.com/v1.0/leads/{leadId}/transaction/{transactionId}/property/address")
.header("Authorization", "<authorization>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.lofty.com/v1.0/leads/{leadId}/transaction/{transactionId}/property/address")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = '<authorization>'
response = http.request(request)
puts response.read_body{
"transactionId": 10001,
"unit": "1",
"label": "Investment",
"state": "CA",
"city": "Los Angeles",
"zipCode": "90012",
"streetAddress": "100 W 1st St",
"county": "Los Angeles"
}"<string>""<string>""<string>"